diff --git a/src/backend/replication/logical/origin.c b/src/backend/replication/logical/origin.c
index 651f53f..74953ad 100644
--- a/src/backend/replication/logical/origin.c
+++ b/src/backend/replication/logical/origin.c
@@ -473,7 +473,7 @@ ReplicationOriginShmemInit(void)
 	{
 		int			i;
 
-		replication_states_ctl->tranche_id = LWLockNewTrancheId();
+		replication_states_ctl->tranche_id = LWTRANCHE_REPLICATION_ORIGIN;
 		replication_states_ctl->tranche.name = "ReplicationOrigins";
 		replication_states_ctl->tranche.array_base =
 			&replication_states[0].lock;
diff --git a/src/include/storage/lwlock.h b/src/include/storage/lwlock.h
index 9e4f512..b4b59e9 100644
--- a/src/include/storage/lwlock.h
+++ b/src/include/storage/lwlock.h
@@ -213,6 +213,7 @@ typedef enum BuiltinTrancheIds
 	LWTRANCHE_WAL_INSERT,
 	LWTRANCHE_BUFFER_CONTENT,
 	LWTRANCHE_BUFFER_IO_IN_PROGRESS,
+	LWTRANCHE_REPLICATION_ORIGIN,
 	LWTRANCHE_REPLICATION_SLOT_IO_IN_PROGRESS,
 	LWTRANCHE_PROC,
 	LWTRANCHE_FIRST_USER_DEFINED
